
#include "idossearch.h"
#include "searchwidget.h"

#include <Plasma/IconWidget>

#include <KIcon>

using namespace Plasma;
using namespace IDOSSearchApplet;

K_EXPORT_PLASMA_APPLET(idos_search, IDOSSearch);

IDOSSearch::IDOSSearch(QObject *parent, const QVariantList &args)
    : Plasma::PopupApplet(parent, args),
    m_icon(0),
    m_searchWidget(0)
{
    setHasConfigurationInterface(false);  
    setAspectRatioMode(Plasma::IgnoreAspectRatio);
       
    // Inicializuje widget
    //resize(graphicsWidget()->sizeHint());
    graphicsWidget();
}


IDOSSearch::~IDOSSearch()
{
  
    delete m_searchWidget;
    
}

void IDOSSearch::init()
{
    
    m_icon = new Plasma::IconWidget(KIcon("idos_search",NULL),QString());
  
    setPopupIcon(m_icon->icon());
  
}

QGraphicsWidget* IDOSSearch::graphicsWidget() 
{
 
    if (!m_searchWidget) {
      m_searchWidget = new SearchWidget(this);
    }
    
    return m_searchWidget;
  
}



#include "idossearch.moc"
